Projekty
APINotifications

Mark all notifications as read

Marks every unread notification of the authenticated user as read.

PATCH
/api/notifications/read-all

Marks every unread notification of the authenticated user as read.

Authorization

sessionAuth
cookiebetter-auth.session_token<token>

Better Auth session cookie (on HTTPS: __Secure-better-auth.session_token), forwarded to the login server's /api/auth/get-session

Response Body

OK

application/json
  1. response
success*boolean
Example Request
curl -X PATCH 'https://example.com/api/notifications/read-all'
Example Response
{  "success": true}